<template>
  <div class="home">
    {{msg}}
    <button @click="increment">+</button>
    <button @click="decrease">-</button>
    {{$store.state.count}}
    <Child/>
    <ChildOne/>
  </div>
</template>

<script>
import Child from './Child'
import ChildOne from './ChildOne'
export default {
  name: 'Home',
  data () {
    return {
      msg: 'Welcome Home'
    }
  },
  components:{
    Child,
    ChildOne
  },
  computed:{
    list(){
      return this.$store.getters.fliterList;
    },
    listLength(){
      return this.$store.getters.listLength;
    },
    listData(){
      return this.$store.getters.getListDataById(1);
    }
  },
  mounted(){
    console.log(this.list);//[1,2]
    console.log(this.listLength);//2
    console.log(this.listData);//{id:1,text:'11'}
  },
  methods:{
    increment(){
      this.$store.commit('increment');
    },
    decrease(){
      this.$store.commit('decrease')
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
